if (this.actor.has("Métier (Ingénieur)", "skill"))
{
  let aim = await this.actor.setupSkill("Métier (Ingénieur)", {appendTitle : ` - Aim ${this.item.name}`});
  await aim.roll();
  let SL = Number(aim.result.SL);
  let context = {}
  if (SL < 0)
  {
    context.fields = {modifier : 10 * SL};
    context.initialTooltip = "Échoué Métier (Ingénieur)";
  }

  let fire = await this.actor.setupWeapon(this.item, context)
  fire.roll();
}
else
{
  this.script.notification("Cet acteur n'a pas le Métier (Ingénieur)!", "error");
}